from datetime import datetime
import logging
import os

# 配置日志记录 日志级别从低到高 DEBUG->INFO->WARNING->ERROR->CRITICAL
if not os.path.exists(f"{os.getcwd()}/Log"):
    os.mkdir(f"{os.getcwd()}/Log")
logging.basicConfig(level=logging.DEBUG,  # 设置日志级别为 DEBUG（最低级别）
                    filename=f'Log/Logs_{datetime.now().strftime("%Y%m%d")}.log',  # 指定日志文件名
                    filemode='a',  # 设置文件模式为追加写入
                    format='%(asctime)s - %(levelname)s - %(message)s')


def debug(msg):
    logging.debug(msg)


def info(msg):
    logging.info(msg)


def warning(msg):
    logging.warning(msg)


def error(msg):
    logging.error(msg)


def critical(msg):
    logging.critical(msg)
